=== debian/changelog ===
balder2d (1.0-2) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (Bug #831545). Set maintainer to "Debian QA Group".
  * Switch to "3.0 (quilt)" source format.
  * Raise debhelper compat level to 9. Closes: #817370.
  * Add build-arch and build-indep targets to debian/rules. Closes: #821965,

 -- Santiago Vila <sanvila@debian.org>  Thu, 28 Jul 2016 14:19:52 +0100

balder2d (1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove python-support, not actually used (Closes: #785947)
  * Use Debian's tinyxml rather than the bundled one.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 21 Aug 2015 17:30:23 +0200

balder2d (1.0-1.1) unstable; urgency=low

  * Non-maintainer upload, to drop Python 2.4; thanks to Luca Falavigna for the
    report and to Jakub Wilk; Closes: #562406, #518172
    - debian/control
      + b-d on 'python-dev (>= 2.4)' and not in the hardcoded 'python2.4-dev'
      + added python-support to b-d
    - SConstruct, bin/scripts/test/SConscript
      + dinamically include default python, instead of hardcode python2.4
  * SConstruct
    - added SDL to the list of library: it fixes a FTBFS when using gold as
      linker; thanks to Peter Fritzsche for the report; Closes: #553931

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2010 21:42:11 +0100

balder2d (1.0-1) unstable; urgency=low

  * new upstream release
  * update for guichan 8.1 (Closes: #482584)
  * use physicsfs to make data/config/map/aiscript loading more flexible
  * new skins for menus
  * fix typo in control file long description (Closes: #458401)

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Sun, 15 Jun 2008 17:15:38 -0700

balder2d (1.0~rc1-5) unstable; urgency=low

  * fixed 'Can not change keyboard controls using gui' (Closes: #446702)

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Thu, 18 Oct 2007 02:41:32 +0000

balder2d (1.0~rc1-4) unstable; urgency=low

  * updated build dependancies to use libguichan2 instead of libguichan1 (Closes: #442957)

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Thu, 27 Sep 2007 03:24:31 +0000

balder2d (1.0~rc1-3) unstable; urgency=low

  * FTBFS: Incorrect version build-depends for libboost-filesystem-dev (Closes: #434039)
  * FTBFS: unmet b-dep libguichan0-dev (Closes: #436334)

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Tue, 14 Aug 2007 00:22:12 +0000

balder2d (1.0~rc1-2) unstable; urgency=low

  * fixed balder2d fails to run with current libguichan0 (0.6.x-x) (Closes: #427904)
  * fixed FTBFS with new libboost (Closes: #425069)
  * fixed FTBFS with GCC 4.3: missing #includes (Closes: #418620)
  * fixed typo in manpage  (Closes: #418871)

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Thu, 05 Jul 2007 01:14:46 +0000

balder2d (1.0~rc1-1) unstable; urgency=low

  * Initial release
  * This is my first Debian package.

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Sat, 14 Oct 2006 15:33:42 -0700
