=== debian/control ===
Source: balder2d
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), scons, libphysfs-dev, libguichan-dev, libsdl1.2-dev, libsdl-gfx1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libstdc++6, python-dev (>= 2.4), libtinyxml-dev
Standards-Version: 3.8.0
Homepage: http://balder.sourceforge.net/balder2d/

Package: balder2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, balder2d-data
Description: A 2D shooter in zero gravity
 In Balder2D, players control small probes which shoot tiny projectiles with
 which they try to destroy each other. It features a 2D overhead view of the
 playing field. Probes may be human or computer controlled.
 .
 A probe can perform the following actions:
 .
    * rotate
    * fire projectiles
    * "stick" to a wall
    * push off of a wall
 .
 Players may rotate their probes while in flight, but the only way to change
 the direction or speed of flight is by firing projectiles (which gives a
 small kick in the opposite direction) or by running into walls or other probes.

Package: balder2d-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for balder2d
 In Balder2D, players control small probes which shoot tiny projectiles with
 which they try to destroy each other. It features a 2D overhead view of the
 playing field. Probes may be human or computer controlled.
 .
 A probe can perform the following actions:
 .
    * rotate
    * fire projectiles
    * "stick" to a wall
    * push off of a wall
 .
 Players may rotate their probes while in flight, but the only way to change
 the direction or speed of flight is by firing projectiles (which gives a
 small kick in the opposite direction) or by running into walls or other probes.
 .
 These are the common files for balder2d.
